hdate_struct(3)

NAME
hdate_struct -

libhdate Hebrew date struct

SYNOPSIS

#include <hdate.h>

  Data Fields

int hd_day
int hd_mon
int hd_year
int gd_day
int gd_mon
int gd_year
int hd_dw
int hd_size_of_year
int hd_new_year_dw
int hd_year_type
int hd_jd
int hd_days
int hd_weeks

Detailed Description

libhdate Hebrew date struct

Field Documentation

  int hdate_struct::hd_day The number of day in the hebrew month (1..31).

  int hdate_struct::hd_mon The number of the hebrew month 1..14 (1 - tishre, 13 - adar 1, 14 - adar 2).

  int hdate_struct::hd_year The number of the hebrew year.

  int hdate_struct::gd_day The number of the day in the month. (1..31)

  int hdate_struct::gd_mon The number of the month 1..12 (1 - jan).

  int hdate_struct::gd_year The number of the year.

  int hdate_struct::hd_dw The day of the week 1..7 (1 - sunday).

  int hdate_struct::hd_size_of_year The length of the year in days.

  int hdate_struct::hd_new_year_dw The week day of Hebrew new year.

  int hdate_struct::hd_year_type The number type of year.

  int hdate_struct::hd_jd The Julian day number

  int hdate_struct::hd_days The number of days passed since 1 tishrey

  int hdate_struct::hd_weeks The number of weeks passed since 1 tishrey

Author

Generated automatically by Doxygen for libhdate C language from the source code.